Debian Bug report logs - #549673
cups: constantly modify configuration files in /etc

version graph

Package: cups; Maintainer for cups is Debian Printing Team <debian-printing@lists.debian.org>; Source for cups is src:cups.

Reported by: Luca Capello <luca@pca.it>

Date: Mon, 5 Oct 2009 13:18:10 UTC

Severity: minor

Tags: upstream, wontfix

Merged with 552086

Found in versions cups/1.4.1-5, cups/1.4.4-7, cups/1.4.6-3, cups/1.4.1-4

Forwarded to http://www.cups.org/str.php?L3067

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to luca@pca.it, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#549673; Package cups. (Mon, 05 Oct 2009 13:18:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
New Bug report received and forwarded. Copy sent to luca@pca.it, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Mon, 05 Oct 2009 13:18:13 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Debian Bug Tracking System <maintonly@bugs.debian.org>
Subject: cups: constantly modify configuration files in /etc
Date: Mon, 05 Oct 2009 15:02:30 +0200
[Message part 1 (text/plain, inline)]
Package: cups
Version: 1.4.1-4
Severity: minor

Hi there!

I manage my /etc with etckeeper, with the following options:

--8<---------------cut here---------------start------------->8---
VCS="git"

# Uncomment to avoid etckeeper committing existing changes
# to /etc automatically once per day.
AVOID_DAILY_AUTOCOMMITS=1

# Uncomment to avoid etckeeper committing existing changes to 
# /etc before installation. It will cancel the installation,
# so you can commit the changes by hand.
AVOID_COMMIT_BEFORE_INSTALL=1
--8<---------------cut here---------------end--------------->8---

Since when I started to use etckeeper, I noticed that every time cupsd
starts it rewrites the configuration file:
=====
gismo:/etc# git diff
diff --git a/cups/printers.conf b/cups/printers.conf
index 3548437..ed91cf8 100644
--- a/cups/printers.conf
+++ b/cups/printers.conf
@@ -1,5 +1,5 @@
 # Printer configuration file for CUPS v1.4.1
-# Written by cupsd on 2009-09-16 09:52
+# Written by cupsd on 2009-10-05 13:50
[...]
diff --git a/cups/printers.conf.O b/cups/printers.conf.O
index 9d86c62..3548437 100644
--- a/cups/printers.conf.O
+++ b/cups/printers.conf.O
@@ -1,5 +1,5 @@
-# Printer configuration file for CUPS v1.4.0
-# Written by cupsd on 2009-09-09 10:10
+# Printer configuration file for CUPS v1.4.1
+# Written by cupsd on 2009-09-16 09:52
[...]
gismo:/etc#
=====

This also happens once per day, usually around 0600 if my laptop is on.

The solution I adopted until now was a `git reset --hard HEAD` before
continuing with anything related to /etc (installing/removing packages
or editing files there), but I am now really tired of this situation.

Cups is the only program I am aware of with such behavior and I still
think this is a bug in cups: I do not see the reason why *without my
approval* it modifies configuration files.  If this is really needed,
why it does not keep a copy in /var/lib?  This seems to me the best
place, according to the FHS:

  http://www.pathname.com/fhs/pub/fhs-2.3.html#VARLIBVARIABLESTATEINFORMATION

Feel free to downgrade this bug to wishlist or tag it as wontfix, but
please do not close it.  I was surprised to not find any occurrence of
it in the Debian BTS, but I should admit I have searched on still opened
bug only.

Thx, bye,
Gismo / Luca

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages cups depends on:
ii  adduser                3.111             add and remove users and groups
ii  bc                     1.06.94-3.1       The GNU bc arbitrary precision cal
ii  cups-client            1.4.1-4           Common UNIX Printing System(tm) - 
ii  cups-common            1.4.1-4           Common UNIX Printing System(tm) - 
ii  debconf [debconf-2.0]  1.5.27            Debian configuration management sy
ii  ghostscript            8.70~dfsg-2+b1    The GPL Ghostscript PostScript/PDF
ii  libavahi-client3       0.6.25-1          Avahi client library
ii  libavahi-common3       0.6.25-1          Avahi common library
ii  libc6                  2.9-27            GNU C Library: Shared libraries
ii  libcups2               1.4.1-4           Common UNIX Printing System(tm) - 
ii  libcupscgi1            1.4.1-4           Common UNIX Printing System(tm) - 
ii  libcupsdriver1         1.4.1-4           Common UNIX Printing System(tm) - 
ii  libcupsimage2          1.4.1-4           Common UNIX Printing System(tm) - 
ii  libcupsmime1           1.4.1-4           Common UNIX Printing System(tm) - 
ii  libcupsppdc1           1.4.1-4           Common UNIX Printing System(tm) - 
ii  libdbus-1-3            1.2.16-2          simple interprocess messaging syst
ii  libgcc1                1:4.4.1-5         GCC support library
ii  libgnutls26            2.8.4-1           the GNU TLS library - runtime libr
ii  libgssapi-krb5-2       1.7dfsg~beta3-1   MIT Kerberos runtime libraries - k
ii  libijs-0.35            0.35-7            IJS raster image transport protoco
ii  libkrb5-3              1.7dfsg~beta3-1   MIT Kerberos runtime libraries
ii  libldap-2.4-2          2.4.17-2          OpenLDAP libraries
ii  libpam0g               1.1.0-4           Pluggable Authentication Modules l
ii  libpaper1              1.1.23+nmu1       library for handling paper charact
ii  libpoppler4            0.10.6-1          PDF rendering library
ii  libslp1                1.2.1-7.6         OpenSLP libraries
ii  libstdc++6             4.4.1-5           The GNU Standard C++ Library v3
ii  libusb-0.1-4           2:0.1.12-13       userspace USB programming library
ii  lsb-base               3.2-23            Linux Standard Base 3.2 init scrip
ii  perl-modules           5.10.1-5          Core Perl modules
ii  procps                 1:3.2.8-1.2       /proc file system utilities
ii  ssl-cert               1.0.23            simple debconf wrapper for OpenSSL
ii  ttf-freefont           20090104-4        Freefont Serif, Sans and Mono True
ii  xpdf-utils [poppler-ut 3.02-1.4+lenny1   Portable Document Format (PDF) sui
ii  zlib1g                 1:1.2.3.3.dfsg-15 compression library - runtime

Versions of packages cups recommends:
pn  cups-driver-gutenprint        <none>     (no description available)
pn  foomatic-filters              <none>     (no description available)
pn  ghostscript-cups              <none>     (no description available)

Versions of packages cups suggests:
ii  cups-bsd                      1.4.1-4    Common UNIX Printing System(tm) - 
pn  cups-pdf                      <none>     (no description available)
pn  cups-ppdc                     <none>     (no description available)
pn  foomatic-db                   <none>     (no description available)
pn  foomatic-db-engine            <none>     (no description available)
pn  hplip                         <none>     (no description available)
pn  smbclient                     <none>     (no description available)
ii  udev                          146-3      /dev/ and hotplug management daemo
pn  xpdf-korean | xpdf-japanese | <none>     (no description available)

-- debconf information:
  cupsys/raw-print: true
  cupsys/backend: ipp, lpd, parallel, scsi, serial, socket, usb, snmp, dnssd
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#549673; Package cups. (Mon, 05 Oct 2009 17:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Mon, 05 Oct 2009 17:30:07 GMT) Full text and rfc822 format available.

Message #10 received at 549673@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Luca Capello <luca@pca.it>, 549673@bugs.debian.org
Subject: Re: Bug#549673: cups: constantly modify configuration files in /etc
Date: Mon, 5 Oct 2009 18:27:57 +0100
On Mon, Oct 05, 2009 at 03:02:30PM +0200, Luca Capello wrote:
> Since when I started to use etckeeper, I noticed that every time cupsd
> starts it rewrites the configuration file:

> This also happens once per day, usually around 0600 if my laptop is on.
> 
> Cups is the only program I am aware of with such behavior and I still
> think this is a bug in cups: I do not see the reason why *without my
> approval* it modifies configuration files.  If this is really needed,
> why it does not keep a copy in /var/lib?  This seems to me the best
> place, according to the FHS:
> 
>   http://www.pathname.com/fhs/pub/fhs-2.3.html#VARLIBVARIABLESTATEINFORMATION

I'd have to say I feel the same way.  It's also incompatible with
read-only root.

There's a subtle difference between "configuration" and "state"
and cups keeps a lot of state in /etc such as printer status
and other such information.  This should clearly be under /var.

I used to consider printer queues configuration, but given that
it can be completely generated using tools like lpadmin, I'm
increasingly inclined to treat it as state, and think that it
should be kept under /var along with associated PPD files etc.

The configuration rewriting is very annoying.  I don't know if
it's fixed, but it used to eat your hand-crafted configuration
and replace it with a compiled-in template if you used any of
the webadmin tickboxes such as for enabling sharing/browsing.
The result is that I no longer even attempt to alter the cups
configuration file--it always ends up being trashed at some
point.

It would be more appropriate to have generated parts of the
configuration under /var and have static configuration written
by the admin under /etc.  Currently cups treats these as one
and the same and the result is not good.


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.




Merged 549673 552086. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Fri, 20 Nov 2009 15:03:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#549673; Package cups. (Fri, 05 Feb 2010 21:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Fri, 05 Feb 2010 21:27:05 GMT) Full text and rfc822 format available.

Message #17 received at 549673@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 549673@bugs.debian.org
Subject: simple patch to remove the datestamp
Date: Fri, 5 Feb 2010 16:25:19 -0500
[Message part 1 (text/plain, inline)]
So I see that upstream has rejected moving the cups state info
out of /etc. (http://www.cups.org/str.php?L3067)

Before this bug's scope creeps to the point that it is unfixable
without a maintenance nightmare, I just wanted to point out that
the attached simple patch should be sufficient to address the 
problem of cups creating a *different* file content each day,
by removing the date, which serves little purpose.

-- 
see shy jo
[cups.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#549673; Package cups. (Fri, 19 Feb 2010 23:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Fri, 19 Feb 2010 23:00:02 GMT) Full text and rfc822 format available.

Message #22 received at 549673@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Joey Hess <joeyh@debian.org>, 549673@bugs.debian.org
Subject: Re: [Pkg-cups-devel] Bug#549673: simple patch to remove the datestamp
Date: Fri, 19 Feb 2010 23:58:42 +0100
[Message part 1 (text/plain, inline)]
Hello Joey,

Joey Hess [2010-02-05 16:25 -0500]:
> So I see that upstream has rejected moving the cups state info
> out of /etc. (http://www.cups.org/str.php?L3067)

*sigh*

> Before this bug's scope creeps to the point that it is unfixable
> without a maintenance nightmare, I just wanted to point out that
> the attached simple patch should be sufficient to address the 
> problem of cups creating a *different* file content each day,
> by removing the date, which serves little purpose.

Thanks! Applied to bzr tree, will be in next upload.

Martin
-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Martin Pitt <martin.pitt@ubuntu.com> to control@bugs.debian.org. (Fri, 19 Feb 2010 23:00:07 GMT) Full text and rfc822 format available.

Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Wed, 24 Mar 2010 16:21:11 GMT) Full text and rfc822 format available.

Notification sent to Luca Capello <luca@pca.it>:
Bug acknowledged by developer. (Wed, 24 Mar 2010 16:21:12 GMT) Full text and rfc822 format available.

Message #29 received at 549673-close@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: 549673-close@bugs.debian.org
Subject: Bug#549673: fixed in cups 1.4.2-10
Date: Wed, 24 Mar 2010 16:17:44 +0000
Source: cups
Source-Version: 1.4.2-10

We believe that the bug you reported is fixed in the latest version of
cups, which is due to be installed in the Debian FTP archive:

cups-bsd_1.4.2-10_amd64.deb
  to main/c/cups/cups-bsd_1.4.2-10_amd64.deb
cups-client_1.4.2-10_amd64.deb
  to main/c/cups/cups-client_1.4.2-10_amd64.deb
cups-common_1.4.2-10_all.deb
  to main/c/cups/cups-common_1.4.2-10_all.deb
cups-dbg_1.4.2-10_amd64.deb
  to main/c/cups/cups-dbg_1.4.2-10_amd64.deb
cups-ppdc_1.4.2-10_amd64.deb
  to main/c/cups/cups-ppdc_1.4.2-10_amd64.deb
cups_1.4.2-10.diff.gz
  to main/c/cups/cups_1.4.2-10.diff.gz
cups_1.4.2-10.dsc
  to main/c/cups/cups_1.4.2-10.dsc
cups_1.4.2-10_amd64.deb
  to main/c/cups/cups_1.4.2-10_amd64.deb
cupsddk_1.4.2-10_all.deb
  to main/c/cups/cupsddk_1.4.2-10_all.deb
cupsys-bsd_1.4.2-10_all.deb
  to main/c/cups/cupsys-bsd_1.4.2-10_all.deb
cupsys-client_1.4.2-10_all.deb
  to main/c/cups/cupsys-client_1.4.2-10_all.deb
cupsys-common_1.4.2-10_all.deb
  to main/c/cups/cupsys-common_1.4.2-10_all.deb
cupsys-dbg_1.4.2-10_all.deb
  to main/c/cups/cupsys-dbg_1.4.2-10_all.deb
cupsys_1.4.2-10_all.deb
  to main/c/cups/cupsys_1.4.2-10_all.deb
libcups2-dev_1.4.2-10_amd64.deb
  to main/c/cups/libcups2-dev_1.4.2-10_amd64.deb
libcups2_1.4.2-10_amd64.deb
  to main/c/cups/libcups2_1.4.2-10_amd64.deb
libcupscgi1-dev_1.4.2-10_amd64.deb
  to main/c/cups/libcupscgi1-dev_1.4.2-10_amd64.deb
libcupscgi1_1.4.2-10_amd64.deb
  to main/c/cups/libcupscgi1_1.4.2-10_amd64.deb
libcupsdriver1-dev_1.4.2-10_amd64.deb
  to main/c/cups/libcupsdriver1-dev_1.4.2-10_amd64.deb
libcupsdriver1_1.4.2-10_amd64.deb
  to main/c/cups/libcupsdriver1_1.4.2-10_amd64.deb
libcupsimage2-dev_1.4.2-10_amd64.deb
  to main/c/cups/libcupsimage2-dev_1.4.2-10_amd64.deb
libcupsimage2_1.4.2-10_amd64.deb
  to main/c/cups/libcupsimage2_1.4.2-10_amd64.deb
libcupsmime1-dev_1.4.2-10_amd64.deb
  to main/c/cups/libcupsmime1-dev_1.4.2-10_amd64.deb
libcupsmime1_1.4.2-10_amd64.deb
  to main/c/cups/libcupsmime1_1.4.2-10_amd64.deb
libcupsppdc1-dev_1.4.2-10_amd64.deb
  to main/c/cups/libcupsppdc1-dev_1.4.2-10_amd64.deb
libcupsppdc1_1.4.2-10_amd64.deb
  to main/c/cups/libcupsppdc1_1.4.2-10_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 549673@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Pitt <mpitt@debian.org> (supplier of updated cups package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 24 Mar 2010 16:50:56 +0100
Source: cups
Binary: libcups2 libcupsimage2 libcupscgi1 libcupsdriver1 libcupsmime1 libcupsppdc1 cups cups-client libcups2-dev libcupsimage2-dev libcupscgi1-dev libcupsdriver1-dev libcupsmime1-dev libcupsppdc1-dev cups-bsd cups-common cups-ppdc cups-dbg cupsys cupsys-client cupsys-common cupsys-bsd cupsys-dbg cupsddk
Architecture: source all amd64
Version: 1.4.2-10
Distribution: unstable
Urgency: low
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Changed-By: Martin Pitt <mpitt@debian.org>
Description: 
 cups       - Common UNIX Printing System(tm) - server
 cups-bsd   - Common UNIX Printing System(tm) - BSD commands
 cups-client - Common UNIX Printing System(tm) - client programs (SysV)
 cups-common - Common UNIX Printing System(tm) - common files
 cups-dbg   - Common UNIX Printing System(tm) - debugging symbols
 cups-ppdc  - Common UNIX Printing System(tm) - PPD manipulation utilities
 cupsddk    - Common UNIX Printing System (transitional package)
 cupsys     - Common UNIX Printing System (transitional package)
 cupsys-bsd - Common UNIX Printing System (transitional package)
 cupsys-client - Common UNIX Printing System (transitional package)
 cupsys-common - Common UNIX Printing System (transitional package)
 cupsys-dbg - Common UNIX Printing System (transitional package)
 libcups2   - Common UNIX Printing System(tm) - Core library
 libcups2-dev - Common UNIX Printing System(tm) - Development files CUPS library
 libcupscgi1 - Common UNIX Printing System(tm) - CGI library
 libcupscgi1-dev - Common UNIX Printing System(tm) - Development files for CGI libra
 libcupsdriver1 - Common UNIX Printing System(tm) - Driver library
 libcupsdriver1-dev - Common UNIX Printing System(tm) - Development files driver librar
 libcupsimage2 - Common UNIX Printing System(tm) - Raster image library
 libcupsimage2-dev - Common UNIX Printing System(tm) - Development files CUPS image li
 libcupsmime1 - Common UNIX Printing System(tm) - MIME library
 libcupsmime1-dev - Common UNIX Printing System(tm) - Development files MIME library
 libcupsppdc1 - Common UNIX Printing System(tm) - PPD manipulation library
 libcupsppdc1-dev - Common UNIX Printing System(tm) - Development files PPD library
Closes: 549673 572940
Changes: 
 cups (1.4.2-10) unstable; urgency=low
 .
   [ Till Kamppeter ]
   * debian/local/filters/pdf-filters/pdftopdf/P2PDoc.cxx: Output of the
     pdftopdf filter was not completely complying with the Adobe specs for PDF.
     Thanks to Duncan Lock for finding and reporting the bug and supplying a
     fix (LP: #544636).
 .
   [ Martin Pitt ]
   * Add no-conffile-timestamp.dpatch: Disable time stamps in conffiles, to
     avoid ever-changing files in /etc. Thanks Joey Hess!
     (Rejected upstream, STR#3067; Closes: #549673)
   * CVE-2010-0393.dpatch: Replace with patch from upstream, and tag
     header. (Closes: #572940)
   * debian/local/filters/pdf-filters/*: Disable call of setErrorFunction() on
     armel for now, since armel's libpoppler is broken. This works around
     #575262, so that cups can finally go into testing again (which is more
     than overdue).
Checksums-Sha1: 
 185a5163c00e3733db42886edd61931df6ef32a1 2157 cups_1.4.2-10.dsc
 ae90fd6a1881b515ed2401f394889ec4252bea78 477585 cups_1.4.2-10.diff.gz
 43c72ea6d10fa69adaa17e483ab42ad0050f36f9 1445714 cups-common_1.4.2-10_all.deb
 88ea3e42c43bfdfb638dbc636c7131b44eed733e 71184 cupsys_1.4.2-10_all.deb
 e13bb356f76eade3fcdf702b150ea9b9abde4ba2 71206 cupsys-client_1.4.2-10_all.deb
 8c1312e774a1b796f0b9c73b9885c9db924e4be3 71208 cupsys-common_1.4.2-10_all.deb
 66cf4b824ec749aa30d5a37c204c2a51b5330a4c 71198 cupsys-bsd_1.4.2-10_all.deb
 4af84e23f877eb474b33b997702ad0af815b247e 71206 cupsys-dbg_1.4.2-10_all.deb
 6922266872fb56474011659cbc69976fcf65449a 71156 cupsddk_1.4.2-10_all.deb
 14c4d55f6e56598134a1df36da0237442e0e4e86 220976 libcups2_1.4.2-10_amd64.deb
 db59949a415bc423efd89db44616fb144d0b2c3d 119520 libcupsimage2_1.4.2-10_amd64.deb
 9ab98a048901bce09182b2fe70255e7efdabdbd2 97966 libcupscgi1_1.4.2-10_amd64.deb
 5d4d892ce8153b3fef4507100cfd3fef3ba8fa22 88588 libcupsdriver1_1.4.2-10_amd64.deb
 2cac8be36aec780332a7b765653e23a8b36e62a6 82004 libcupsmime1_1.4.2-10_amd64.deb
 5e4d0c3145cd064cdc2c27aa9e3e3210915595bf 126422 libcupsppdc1_1.4.2-10_amd64.deb
 765324044c3b6800df1a76a261b6859771645ad4 2015080 cups_1.4.2-10_amd64.deb
 bdeaf788c27dbca37a244c27e3f032a1e10e3d76 140148 cups-client_1.4.2-10_amd64.deb
 b2150cfc2c7cbcb9c414bfa40170fa92b0831a77 279776 libcups2-dev_1.4.2-10_amd64.deb
 2660d2395742bf5ad34ad97f950436fef06ffd7e 61326 libcupsimage2-dev_1.4.2-10_amd64.deb
 3f70ffee9f608073c56bfc9a5bd0d69712ee53ff 103414 libcupscgi1-dev_1.4.2-10_amd64.deb
 ce7dc736e99e31e0cf93935390c219c60e56e8a5 91568 libcupsdriver1-dev_1.4.2-10_amd64.deb
 33af96464410468917937489b41e953ea1a088b0 82460 libcupsmime1-dev_1.4.2-10_amd64.deb
 4900126fca4fd97ce96c9924e46583744dfa45c9 144436 libcupsppdc1-dev_1.4.2-10_amd64.deb
 a42bbb0cc8963b9fe80f872339ed528cb3bf9f61 44504 cups-bsd_1.4.2-10_amd64.deb
 cb634d5f6499f4de86ee1a309cdc4308e66a8955 100532 cups-ppdc_1.4.2-10_amd64.deb
 fe52fd58fd3926ea760ccdb75789c0655d993ecf 91392 cups-dbg_1.4.2-10_amd64.deb
Checksums-Sha256: 
 5f6ae46eab07e5be41bad48b84c0b5f71310af1fed4d0b2ba80cfe95e5c75585 2157 cups_1.4.2-10.dsc
 a9a32f9839cd3192c15cb9e689df774794bd767b777202144f9b166006f66758 477585 cups_1.4.2-10.diff.gz
 069ac3306b4294c493740393b11c80de005aa5781787e4d53c0e76162be5a228 1445714 cups-common_1.4.2-10_all.deb
 290f04c74968b1f1b6707a709ba7d4e7b548aa87f5851ce9dfc1db78b57de0a3 71184 cupsys_1.4.2-10_all.deb
 e7b62ac370819ec52949b8695bcd29c04eac85493b994af401ff4ad54b17a4a6 71206 cupsys-client_1.4.2-10_all.deb
 383feb0c248bdf574183824af0567546441b9cfbf370883c51e05bb39fea46b5 71208 cupsys-common_1.4.2-10_all.deb
 7a5e5f4ae70fac233a3ea9ae27495bf054e7455067b5859f275dde09fa7d7c70 71198 cupsys-bsd_1.4.2-10_all.deb
 104b2b5d52d60b84a7792ff70f69c41fb457bb7acc46009d1bb069b26b1f4d50 71206 cupsys-dbg_1.4.2-10_all.deb
 9d284d7601bc0d73150fbabf8cb92336d05cb8f2e92c7b133b241b16c81f384d 71156 cupsddk_1.4.2-10_all.deb
 40a5c3a2d8c115fdb2574830c95f1cdf65d1e82d43689eb486eb108fd55d0412 220976 libcups2_1.4.2-10_amd64.deb
 edcfd7008571670d2208904aec838882a222ca6058338977b2132cfcad6246dc 119520 libcupsimage2_1.4.2-10_amd64.deb
 c3d87b93fdcadfa03ba7e3e0688435c590f5b9addbd3579f3e347263a56d6b2d 97966 libcupscgi1_1.4.2-10_amd64.deb
 59d5c509fb92f7e304e9d00c831d61e28ba3e5201b75323ea657759458a21386 88588 libcupsdriver1_1.4.2-10_amd64.deb
 5a613c0232980f5315dd768ded49c2e71b6c443af93a0d7d444c073385627e76 82004 libcupsmime1_1.4.2-10_amd64.deb
 1287d24c5bebe60e081529a11ccc1f1161bedcefa193c3a38dfd1bbd25be1087 126422 libcupsppdc1_1.4.2-10_amd64.deb
 9798a228551081adb8100bf46f6843fa90ba98e05187f9be84f4b53713b9259a 2015080 cups_1.4.2-10_amd64.deb
 619da00d61239f275edd188cb75a85ec890b0fd6542a79effdbfe35a272244ac 140148 cups-client_1.4.2-10_amd64.deb
 573602ffddb4311f26da5c0f4c5dc57fb8f50d1fb41143e788328532a91d33b8 279776 libcups2-dev_1.4.2-10_amd64.deb
 e2e98bd3b2ed97d4d9ace754115d5abbb1ea4bceb9aaa953a6bd14c057599034 61326 libcupsimage2-dev_1.4.2-10_amd64.deb
 487455ab5ba29fc8f545428a8989dc805a274d4d72dfaef4b8cfdd700cd2f35e 103414 libcupscgi1-dev_1.4.2-10_amd64.deb
 4ad38228ed90d1056aa5788d66e174c9bda94946795a81e0aa4976d272e5f5ee 91568 libcupsdriver1-dev_1.4.2-10_amd64.deb
 49a25b961c07b3001af73a863b6c5001d9ecb055c438a48f4f1aaa098d1d960f 82460 libcupsmime1-dev_1.4.2-10_amd64.deb
 311e2d095209910775e3c36ff49dc584e8918332ec811ca8a921f6a3e2060c30 144436 libcupsppdc1-dev_1.4.2-10_amd64.deb
 fc0a08b06f56a7a9558e2c036deeee98c23d7f7ff21578ee580db40ca27dd85b 44504 cups-bsd_1.4.2-10_amd64.deb
 ccd7fb382e041588114bbc47a3e1c02d20a8d5a0ba1c4d4ee2647e1a770a8219 100532 cups-ppdc_1.4.2-10_amd64.deb
 b6a4ab10724dfef85dbca850c4876eb26514a888208bf032aa555c9fef5fb9d2 91392 cups-dbg_1.4.2-10_amd64.deb
Files: 
 3e8f28adf2ccb431aa3846dce20f0700 2157 net optional cups_1.4.2-10.dsc
 215f7f0c00a05f3547e12fef64b3bd9c 477585 net optional cups_1.4.2-10.diff.gz
 741ee683c72b0a6861975266693cf9be 1445714 net optional cups-common_1.4.2-10_all.deb
 47a9e35ce798daf58413abba30408cc7 71184 oldlibs extra cupsys_1.4.2-10_all.deb
 53a17f31240708b62c1a94518b912d29 71206 oldlibs extra cupsys-client_1.4.2-10_all.deb
 1d1003163566ac893c1af9d35337c7b0 71208 oldlibs extra cupsys-common_1.4.2-10_all.deb
 8f93b258575ff7a1485d46347fd6d0be 71198 oldlibs extra cupsys-bsd_1.4.2-10_all.deb
 fe69e00204f1c42b26b826713bc463b0 71206 oldlibs extra cupsys-dbg_1.4.2-10_all.deb
 7e74e6b0625407165dd1ac18b860e9ae 71156 oldlibs extra cupsddk_1.4.2-10_all.deb
 08a2018d92aabb5a64fdeaf533e9e2cf 220976 libs optional libcups2_1.4.2-10_amd64.deb
 867d287126119960ed06bf263b6b4987 119520 libs optional libcupsimage2_1.4.2-10_amd64.deb
 8f167e8d4b7f1b4b9fcd0a275c905b9d 97966 libs optional libcupscgi1_1.4.2-10_amd64.deb
 14d1951ddc3f4d018ba802f8a2cda974 88588 libs optional libcupsdriver1_1.4.2-10_amd64.deb
 ffffd6887cf03c2d661d75737c351623 82004 libs optional libcupsmime1_1.4.2-10_amd64.deb
 718c92f6df485495daa44050656efb61 126422 libs optional libcupsppdc1_1.4.2-10_amd64.deb
 803a410d6f16d3b7519d3ff8dd95fa5a 2015080 net optional cups_1.4.2-10_amd64.deb
 846356866053d9941912b8ed757d9545 140148 net optional cups-client_1.4.2-10_amd64.deb
 d3b283de76c1544c1e07702368ee0fd4 279776 libdevel optional libcups2-dev_1.4.2-10_amd64.deb
 a79dd373dd8376755e47f91a4e8fb16e 61326 libdevel optional libcupsimage2-dev_1.4.2-10_amd64.deb
 ba73b0a105baadd9dbaeda59f3b0bf9e 103414 libdevel optional libcupscgi1-dev_1.4.2-10_amd64.deb
 c01339e5d779995fbfa372966c188c9e 91568 libdevel optional libcupsdriver1-dev_1.4.2-10_amd64.deb
 7daef6864c7edf7012d8f755c49076fa 82460 libdevel optional libcupsmime1-dev_1.4.2-10_amd64.deb
 90cfe54c8b8cb2b8de1791d948daa253 144436 libdevel optional libcupsppdc1-dev_1.4.2-10_amd64.deb
 637d5f6993e01c8758f3a34697c6f703 44504 net extra cups-bsd_1.4.2-10_amd64.deb
 8e78ef839f0fe43fb3e89cff9630b3e6 100532 net optional cups-ppdc_1.4.2-10_amd64.deb
 83d814c9a73ea0895b07b5c6668167bb 91392 debug extra cups-dbg_1.4.2-10_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkuqOVgACgkQDecnbV4Fd/LT2wCgraYaQLpO5X/oEl+Oa+RRYOHK
/6IAnAo5+876YNWjb6X1JryXo2VuikkM
=tqEk
-----END PGP SIGNATURE-----





Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Wed, 24 Mar 2010 16:21:12 GMT) Full text and rfc822 format available.

Notification sent to jrplists@gmail.com:
Bug acknowledged by developer. (Wed, 24 Mar 2010 16:21:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#549673; Package cups. (Wed, 14 Apr 2010 10:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Wed, 14 Apr 2010 10:48:08 GMT) Full text and rfc822 format available.

Message #39 received at 549673@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 549673@bugs.debian.org
Cc: Joey Hess <joeyh@debian.org>
Subject: Re: Bug#549673 closed by Martin Pitt <mpitt@debian.org> (Bug#549673: fixed in cups 1.4.2-10)
Date: Wed, 14 Apr 2010 12:33:13 +0200
[Message part 1 (text/plain, inline)]
tags 549673 + upstream
forwarded 549673 http://www.cups.org/str.php?L3067
notfixed 549673 1.4.2-10
thanks

Hi there!

Cc:ing Joey since he provided the patch and adding upstream tag as well
as the forwared address.

Sorry for the delay, I finally upgraded cups after the xpdf packages
have been fixed:

  http://bugs.debian.org/557885
  http://bugs.debian.org/558020

On Wed, 24 Mar 2010 17:21:12 +0100, Debian Bug Tracking System wrote:
> This is an automatic notification regarding your Bug report
> which was filed against the cups package:
>
> #549673: cups: constantly modify configuration files in /etc
>
> It has been closed by Martin Pitt <mpitt@debian.org>.

First of all, I would have liked to be kept updated about the bug
status, instead of simply receiving the closing notification, especially
because there is an upstream bug.

On Fri, 19 Feb 2010 23:58:42 +0100, Martin Pitt wrote:
> Joey Hess [2010-02-05 16:25 -0500]:
>> So I see that upstream has rejected moving the cups state info
>> out of /etc. (http://www.cups.org/str.php?L3067)
>
> *sigh*

Long life to "standards"...

>> Before this bug's scope creeps to the point that it is unfixable
>> without a maintenance nightmare, I just wanted to point out that
>> the attached simple patch should be sufficient to address the 
>> problem of cups creating a *different* file content each day,
>> by removing the date, which serves little purpose.
>
> Thanks! Applied to bzr tree, will be in next upload.

This does not completely fix the issue:
=====
gismo:/etc# git log -1
commit f11845b4fdfc796ac8cbc8f9479ad6d5079548d4
Author: Luca Capello <luca@pca.it>
Date:   Wed Apr 7 12:22:54 2010 +0200

    committing changes in /etc after apt run

    Package changes:
    -cups 1.4.1-5
    -cups-bsd 1.4.2-5
    -cups-client 1.4.2-5
    -cups-common 1.4.2-5
    +cups 1.4.2-10
[...]

gismo:/etc# git diff
diff --git a/cups/printers.conf b/cups/printers.conf
index e573378..994e5a8 100644
--- a/cups/printers.conf
+++ b/cups/printers.conf
@@ -1,5 +1,6 @@
-# Printer configuration file for CUPS v1.4.1
-# Written by cupsd on 2010-02-19 10:03
+# Printer configuration file for CUPS v1.4.2
+# Written by cupsd
+# DO NOT EDIT THIS FILE WHEN CUPSD IS RUNNING
 <Printer ScIII-4036A_HP-LaserJet-4200n>
 Info HP LaserJet 4200n
 Location 4036A, Sciences III, UniGE
diff --git a/cups/printers.conf.O b/cups/printers.conf.O
index eb52ed1..994e5a8 100644
--- a/cups/printers.conf.O
+++ b/cups/printers.conf.O
@@ -1,5 +1,6 @@
-# Printer configuration file for CUPS v1.4.1
-# Written by cupsd on 2009-12-04 10:38
+# Printer configuration file for CUPS v1.4.2
+# Written by cupsd
+# DO NOT EDIT THIS FILE WHEN CUPSD IS RUNNING
 <Printer ScIII-4036A_HP-LaserJet-4200n>
 Info HP LaserJet 4200n
 Location 4036A, Sciences III, UniGE

gismo:/etc# etckeeper commit "cups/printers.conf*: useless commit (#549673)"

gismo:/etc# apt-get update && apt-get upgrade

gismo:/etc# git log -1
commit 0c22de0d48f21873bb8d6d6cd039e6dc9078e830
Author: Luca Capello <luca@pca.it>
Date:   Wed Apr 14 12:11:54 2010 +0200

    committing changes in /etc after apt run

    Package changes:
[...]
    -cups 1.4.2-10
    -cups-bsd 1.4.2-10
    -cups-client 1.4.2-10
    -cups-common 1.4.2-10
    +cups 1.4.3-1
[...]

gismo:/etc# git diff
diff --git a/cups/printers.conf b/cups/printers.conf
index 994e5a8..7848d78 100644
--- a/cups/printers.conf
+++ b/cups/printers.conf
@@ -1,4 +1,4 @@
-# Printer configuration file for CUPS v1.4.2
+# Printer configuration file for CUPS v1.4.3
 # Written by cupsd
 # DO NOT EDIT THIS FILE WHEN CUPSD IS RUNNING
 <Printer ScIII-4036A_HP-LaserJet-4200n>

gismo:/etc# etckeeper commit "cups/printers.conf*: useless commit (#549673), second try"

gismo:/etc#
=====

As a final remark, I think this bug should be marked as wontfix instead
of cloging it, since even with Joey's patch the issue is not resolved at
all (there is still an FHS violation).  However, given that upstream is
not collaborating here (yes, I am a bit upset) and the package is yours,
do whatever you prefer, I will stop complaining with this mail.

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) upstream. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Wed, 14 Apr 2010 10:48:10 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://www.cups.org/str.php?L3067'. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Wed, 14 Apr 2010 10:48:11 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions cups/1.4.2-10. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Wed, 14 Apr 2010 10:48:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#549673; Package cups. (Thu, 15 Apr 2010 12:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Thu, 15 Apr 2010 12:27:03 GMT) Full text and rfc822 format available.

Message #50 received at 549673@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 549673@bugs.debian.org
Subject: Re: Bug#549673 closed by Martin Pitt <mpitt@debian.org> (Bug#549673: fixed in cups 1.4.2-10)
Date: Thu, 15 Apr 2010 14:23:40 +0200
[Message part 1 (text/plain, inline)]
Hi there!

On Wed, 14 Apr 2010 12:33:13 +0200, Luca Capello wrote:
> This does not completely fix the issue:
[...]
> gismo:/etc# git diff
> diff --git a/cups/printers.conf b/cups/printers.conf
> index 994e5a8..7848d78 100644
> --- a/cups/printers.conf
> +++ b/cups/printers.conf
> @@ -1,4 +1,4 @@
> -# Printer configuration file for CUPS v1.4.2
> +# Printer configuration file for CUPS v1.4.3
>  # Written by cupsd
>  # DO NOT EDIT THIS FILE WHEN CUPSD IS RUNNING
>  <Printer ScIII-4036A_HP-LaserJet-4200n>

And FWIW now I get the same for printers.conf.O, which is "normal",
since IIRC cups "backups" printers.conf once a day.

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 May 2010 07:39:05 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Wed, 30 Mar 2011 19:45:09 GMT) Full text and rfc822 format available.

Bug Marked as found in versions cups/1.4.4-7 and reopened. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Wed, 30 Mar 2011 19:45:10 GMT) Full text and rfc822 format available.

Bug Marked as found in versions cups/1.4.6-3. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Wed, 30 Mar 2011 19:45:10 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Wed, 30 Mar 2011 19:45:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#549673; Package cups. (Wed, 30 Mar 2011 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Wed, 30 Mar 2011 19:57:03 GMT) Full text and rfc822 format available.

Message #65 received at 549673@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 549673@bugs.debian.org
Subject: Re: Bug#549673 closed by Martin Pitt <mpitt@debian.org> (Bug#549673: fixed in cups 1.4.2-10)
Date: Wed, 30 Mar 2011 21:43:55 +0200
[Message part 1 (text/plain, inline)]
unarchive 549673
found 549673 1.4.4-7
found 549673 1.4.6-3
tags 549673 + wontfix
thanks

Hi there!

On Wed, 14 Apr 2010 12:33:13 +0200, Luca Capello wrote:
> As a final remark, I think this bug should be marked as wontfix instead
> of cloging it, since even with Joey's patch the issue is not resolved at
> all (there is still an FHS violation).  However, given that upstream is
> not collaborating here (yes, I am a bit upset) and the package is yours,
> do whatever you prefer, I will stop complaining with this mail.

In the end, I re-thought about it and this bug *must* stay open,
especially now that people has started talking again about supporting a
read-only /etc:

  <http://lists.debian.org/msgid-search/%3c20110330190917.GG20813%40codelibre.net%3e>

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#549673; Package cups. (Fri, 08 Apr 2011 10:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Toni Mueller <support@oeko.net>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Fri, 08 Apr 2011 10:09:08 GMT) Full text and rfc822 format available.

Message #70 received at 549673@bugs.debian.org (full text, mbox):

From: Toni Mueller <support@oeko.net>
To: 549673@bugs.debian.org
Cc: support@oeko.net
Subject: Same problem with Samhain
Date: Fri, 8 Apr 2011 12:00:27 +0200
Hi,

I get a Samhain warning every day and found that CUPS (!@!IO@#*&@#!!!)
likes to update some timestamps in /etc/cups/*. I also read about the
(imho) broken idea of the upstream maintainers to keep it that way.

But maybe one can take a peek at how HylaFax attacks a similar problem
by copying /etc/hylafax to and fro, and adapt that to the CUPS problem?


Kind regards,
--Toni++





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Printing Team <debian-printing@lists.debian.org>:
Bug#549673; Package cups. (Wed, 26 Feb 2014 12:54:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Printing Team <debian-printing@lists.debian.org>. (Wed, 26 Feb 2014 12:54:13 GMT) Full text and rfc822 format available.

Message #75 received at 549673@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 549673@bugs.debian.org
Subject: More noise in printers.conf
Date: Wed, 26 Feb 2014 12:51:34 +0000
I have to make a commit such as the following whenever I print
anything, so it's not just the timestamps within the comment at the top
of printers.conf that causes problems:

commit f48dba3abf56f65c4967241fb933795d7ad8b768
Author: sam <sam@oxylus>
Date:   Wed Feb 26 12:44:22 2014 +0000

    cups noise

diff --git a/cups/printers.conf b/cups/printers.conf
index ffcc371..059b6b7 100644
--- a/cups/printers.conf
+++ b/cups/printers.conf
@@ -8,7 +8,7 @@ Info HP LaserJet Pro M475dn (Oxford)
 MakeModel HP LJ 300-400 color MFP M375-M475 Postscript (recommended)
 DeviceURI dnssd://HP%20LaserJet%20Pro%20M475dn%20(Oxford)._ipp._tcp.local/
 State Idle
-StateTime 1391082167
+StateTime 1393412515
 Type 8425564
 Accepting Yes
 Shared Yes
@@ -19,12 +19,12 @@ KLimit 0
 OpPolicy default
 ErrorPolicy stop-printer
 Attribute marker-colors \#00FFFF,#FF00FF,#FFFF00,#000000
-Attribute marker-levels 45,29,33,51
+Attribute marker-levels 37,22,26,44
 Attribute marker-low-levels 10,10,10,10
 Attribute marker-high-levels 100,100,100,100
 Attribute marker-names Cyan Cartridge HP CE411A,Magenta Cartridge HP CE413A,Yellow Cartridge HP CE412A,
 Attribute marker-types toner,toner,toner,toner
-Attribute marker-change-time 1391082130
+Attribute marker-change-time 1393412440
 </Printer>
 <Printer ML-3470-Series>
 UUID urn:uuid:25d41f37-2bd1-3830-78ef-bb9b604d5042

-- 
Sam Morris <https://robots.org.uk/>
3412 EA18 1277 354B 991B  C869 B219 7FDB 5EA0 1078



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Printing Team <debian-printing@lists.debian.org>:
Bug#549673; Package cups. (Fri, 28 Feb 2014 08:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Printing Team <debian-printing@lists.debian.org>. (Fri, 28 Feb 2014 08:51:11 GMT) Full text and rfc822 format available.

Message #80 received at 549673@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <odyx@debian.org>
To: Sam Morris <sam@robots.org.uk>
Cc: 549673@bugs.debian.org
Subject: Re: More noise in printers.conf
Date: Fri, 28 Feb 2014 09:47:38 +0100
Le mercredi, 26 février 2014, 12.51:34 Sam Morris a écrit :
> I have to make a commit such as the following whenever I print
> anything, so it's not just the timestamps within the comment at the
> top of printers.conf that causes problems:

Thanks for the additional information. This all boils down to upstream's 
position that there's no FHS place where to put configuration files that 
are programmatically modified. The only reasonable way forward would be 
for Debian to use /var/lib/cups instead of /etc/cups, but that would 
hinder the fact that these files also _are_ configuration files and can 
be changed by the administrator (when CUPS is down). The current 
situation is unfortunate but is the best we (as maintainers of CUPS) can 
do to best serve the Debian users.

So I think the current tagging of this bug is accurate: upstream and 
wontfix.

Cheers, OdyX
-- 
OdyX



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:38:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.